Koa.master Devstack - make requirements - error

I received this error message when I was installing koa.master on devstack with the make requirements command. Should I proceed or try to fix these errors? I am using wsl under windows with ubuntu 20.04.

cc: @regis @nedbat

 Building wheel for dockerpty (setup.py) ... error
      ERROR: Command errored out with exit status 1:
       command: /home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/bin/python3 -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-install-41zhwygo/dockerpty/setup.py'"'"'; __file__='"'"'/tmp/pip-install-41zhwygo/dockerpty/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' bdist_wheel -d /tmp/pip-wheel-zrx95_du
           cwd: /tmp/pip-install-41zhwygo/dockerpty/
      Complete output (6 lines):
      usage: setup.py [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]
         or: setup.py --help [cmd1 cmd2 ...]
         or: setup.py --help-commands
         or: setup.py cmd --help

      error: invalid command 'bdist_wheel'
      ----------------------------------------
      ERROR: Failed building wheel for dockerpty
      Running setup.py clean for dockerpty
      Building wheel for docopt (setup.py) ... error
      ERROR: Command errored out with exit status 1:
       command: /home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/bin/python3 -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-install-41zhwygo/docopt/setup.py'"'"'; __file__='"'"'/tmp/pip-install-41zhwygo/docopt/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' bdist_wheel -d /tmp/pip-wheel-qi2zkvfw
           cwd: /tmp/pip-install-41zhwygo/docopt/
      Complete output (6 lines):
      usage: setup.py [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]
         or: setup.py --help [cmd1 cmd2 ...]
         or: setup.py --help-commands
         or: setup.py cmd --help

      error: invalid command 'bdist_wheel'
      ----------------------------------------
      ERROR: Failed building wheel for docopt
      Running setup.py clean for docopt
      Building wheel for pyrsistent (setup.py) ... error
      ERROR: Command errored out with exit status 1:
       command: /home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/bin/python3 -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-install-41zhwygo/pyrsistent/setup.py'"'"'; __file__='"'"'/tmp/pip-install-41zhwygo/pyrsistent/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' bdist_wheel -d /tmp/pip-wheel-9o7tmdpq
           cwd: /tmp/pip-install-41zhwygo/pyrsistent/
      Complete output (6 lines):
      usage: setup.py [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]
         or: setup.py --help [cmd1 cmd2 ...]
         or: setup.py --help-commands
         or: setup.py cmd --help

      error: invalid command 'bdist_wheel'
      ----------------------------------------
      ERROR: Failed building wheel for pyrsistent
      Running setup.py clean for pyrsistent
      Building wheel for pyyaml (setup.py) ... error
      ERROR: Command errored out with exit status 1:
       command: /home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/bin/python3 -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-install-41zhwygo/pyyaml/setup.py'"'"'; __file__='"'"'/tmp/pip-install-41zhwygo/pyyaml/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' bdist_wheel -d /tmp/pip-wheel-axczzqv8
           cwd: /tmp/pip-install-41zhwygo/pyyaml/
      Complete output (6 lines):
      usage: setup.py [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]
         or: setup.py --help [cmd1 cmd2 ...]
         or: setup.py --help-commands
         or: setup.py cmd --help

      error: invalid command 'bdist_wheel'
      ----------------------------------------
      ERROR: Failed building wheel for pyyaml
      Running setup.py clean for pyyaml
    Failed to build dockerpty docopt pyrsistent pyyaml
    Installing collected packages: attrs, six, pycparser, cffi, bcrypt, cached-property, certifi, chardet, cryptography, distro, dockerpty, texttable, docopt, websocket-client, idna, urllib3, requests, pynacl, paramiko, docker, pyyaml, pyrsistent, jsonschema, python-dotenv, docker-compose, zipp, importlib-metadata
        Running setup.py install for dockerpty ... done
        Running setup.py install for docopt ... done
        Running setup.py install for pyyaml ... done
        Running setup.py install for pyrsistent ... done
    Successfully installed attrs-20.3.0 bcrypt-3.1.7 cached-property-1.5.2 certifi-2020.11.8 cffi-1.14.3 chardet-3.0.4 cryptography-3.2.1 distro-1.5.0 docker-4.3.1 docker-compose-1.27.4 dockerpty-0.4.1 docopt-0.6.2 idna-2.10 importlib-metadata-2.0.0 jsonschema-3.2.0 paramiko-2.7.2 pycparser-2.20 pynacl-1.4.0 pyrsistent-0.17.3 python-doten

@kmccormick @jill @braden

See above. Have you guys experienced this with koa.master on devstack? This is the make requirements command on Getting Started. We’re running WSL 2 (Windows Subsystem for Linux) with Ubuntu 20.04 release.

We performed a pip install wheel and that seemed to allow us to continue. Does anyone need to look into the wheel dependency and add it in.

Reference: Ubuntu 20.04 "error: invalid command 'bdist_wheel'" · Issue #784 · lektor/lektor · GitHub

@Zachary_Trabookis, in my experience that error, though scary-looking, is harmless. The devstack setup works normally, otherwise.

1 Like

@arbrandes Getting this error when running make dev.pull in the Getting Started section.

docker.errors.DockerException: Error while fetching server API version: 'Connection aborted.'

docker-compose version

(venv)bsande6@DESKTOP-P1BIFRS:~/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack$ which docker-compose
/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/bin/docker-compose

(venv)bsande6@DESKTOP-P1BIFRS:~/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack$ docker-compose -v
docker-compose version 1.27.4, build unknown

(venv)bsande6@DESKTOP-P1BIFRS:~/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack$ make dev.pull
docker-compose pull --include-deps $(echo credentials+discovery+ecommerce+edx_notes_api+forum+frontend-app-publisher+frontend-app-learning+gradebook+lms+studio | tr + " ")
Traceback (most recent call last):
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/urllib3/connectionpool.py", line 670, in urlopen
httplib_response = self._make_request(
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/urllib3/connectionpool.py", line 392, in _make_request
conn.request(method, url, **httplib_request_kw)
File "/usr/lib/python3.8/http/client.py", line 1255, in request
self._send_request(method, url, body, headers, encode_chunked)
File "/usr/lib/python3.8/http/client.py", line 1301, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "/usr/lib/python3.8/http/client.py", line 1250, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "/usr/lib/python3.8/http/client.py", line 1010, in _send_output
self.send(msg)
File "/usr/lib/python3.8/http/client.py", line 950, in send
self.connect()
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/docker/transport/unixconn.py", line 43, in connect
sock.connect(self.unix_socket)
PermissionError: [Errno 13] Permission denied

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/requests/adapters.py", line 439, in send
resp = conn.urlopen(
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/urllib3/connectionpool.py", line 726, in urlopen
retries = retries.increment(
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/urllib3/util/retry.py", line 410, in increment
raise six.reraise(type(error), error, _stacktrace)
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/urllib3/packages/six.py", line 734, in reraise
raise value.with_traceback(tb)
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/urllib3/connectionpool.py", line 670, in urlopen
httplib_response = self._make_request(
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/urllib3/connectionpool.py", line 392, in _make_request
conn.request(method, url, **httplib_request_kw)
File "/usr/lib/python3.8/http/client.py", line 1255, in request
self._send_request(method, url, body, headers, encode_chunked)
File "/usr/lib/python3.8/http/client.py", line 1301, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "/usr/lib/python3.8/http/client.py", line 1250, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "/usr/lib/python3.8/http/client.py", line 1010, in _send_output
self.send(msg)
File "/usr/lib/python3.8/http/client.py", line 950, in send
self.connect()
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/docker/transport/unixconn.py", line 43, in connect
sock.connect(self.unix_socket)
urllib3.exceptions.ProtocolError: ('Connection aborted.', PermissionError(13, 'Permission denied'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/docker/api/client.py", line 205, in _retrieve_server_version
return self.version(api_version=False)["ApiVersion"]
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/docker/api/daemon.py", line 181, in version
return self._result(self._get(url), json=True)
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/docker/utils/decorators.py", line 46, in inner
return f(self, *args, **kwargs)
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/docker/api/client.py", line 228, in _get
return self.get(url, **self._set_request_timeout(kwargs))
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/requests/sessions.py", line 543, in get
return self.request('GET', url, **kwargs)
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/requests/sessions.py", line 530, in request
resp = self.send(prep, **send_kwargs)
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/requests/sessions.py", line 643, in send
r = adapter.send(request, **kwargs)
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/requests/adapters.py", line 498, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', PermissionError(13, 'Permission denied'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/bin/docker-compose", line 8, in <module>
sys.exit(main())
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/compose/cli/main.py", line 67, in main
command()
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/compose/cli/main.py", line 123, in perform_command
project = project_from_options('.', options)
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/compose/cli/command.py", line 60, in project_from_options
return get_project(
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/compose/cli/command.py", line 131, in get_project
client = get_client(
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/compose/cli/docker_client.py", line 41, in get_client
client = docker_client(
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/compose/cli/docker_client.py", line 170, in docker_client
client = APIClient(**kwargs)
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/docker/api/client.py", line 188, in __init__
self._version = self._retrieve_server_version()
File "/home/bsande6/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack/venv/lib/python3.8/site-packages/docker/api/client.py", line 212, in _retrieve_server_version
raise DockerException(
docker.errors.DockerException: Error while fetching server API version: ('Connection aborted.', PermissionError(13, 'Permission denied'))
make: *** [Makefile:203: dev.pull.credentials+discovery+ecommerce+edx_notes_api+forum+frontend-app-publisher+frontend-app-learning+gradebook+lms+studio] Error 1

@Zachary_Trabookis, looks like you’re having a local docker daemon issue. (Just tried a dev.pull successfully, so at least as far as the remote registry is concerned, things are working.)

Can you pull any image? Say, for instance docker pull debian?

@arbrandes We have to use sudo to make the docker pull debian command to work in the virtual environment.

(venv)bsande6@DESKTOP-P1BIFRS:~/Dev/EducateWorkforce/Repos/open-edx/devstack.koa/devstack$ docker pull debian
Using default tag: latest
Got permission denied while trying to connect to the Docker daemon socket at unix:///var/run/docker.sock: Post http://%2Fvar%2Frun%2Fdocker.sock/v1.24/images/create?fromImage=debian&tag=latest: dial unix /var/run/docker.sock: connect: permission denied


(venv)bsande6@DESKTOP-P1BIFRS:~/Dev/EducateWorkforce/Repos/open-
edx/devstack.koa/devstack$ sudo docker pull debian
Using default tag: latest
latest: Pulling from library/debian
b9a857cbf04d: Pull complete
Digest: sha256:b16f66714660c4b3ea14d273ad8c35079b81b35d65d1e206072d226c7ff78299
Status: Downloaded newer image for debian:latest
docker.io/library/debian:latest

@arbrandes We also have to start docker with sudo, otherwise it says `Docker needs to be run as root account.".

sudo service docker start

@arbrandes We added our user to the Docker group by following the instruction here " Step 2 — Executing the Docker Command Without Sudo (Optional)"

sudo usermod -aG docker ${USER}
su - ${USER}

All good now.

Alright, good to hear! :+1:

1 Like

Anyone know the fix to this?